summaryrefslogtreecommitdiff
path: root/unrpyc/find-gzip.sh
diff options
context:
space:
mode:
authorAlex Xu <alex_y_xu@yahoo.ca>2013-08-17 22:22:38 -0400
committerAlex Xu <alex_y_xu@yahoo.ca>2013-08-17 22:22:38 -0400
commit780226fa442abda5cb5b1018e998f50e7985e908 (patch)
tree353b00372e2137e72236c5665293133114208277 /unrpyc/find-gzip.sh
parent11d9810801baa3e9627e99f0a58ef0eedaeb5bae (diff)
downloadhtml5ks-780226fa442abda5cb5b1018e998f50e7985e908.tar.xz
html5ks-780226fa442abda5cb5b1018e998f50e7985e908.zip
toolchain improvements
Diffstat (limited to 'unrpyc/find-gzip.sh')
-rwxr-xr-xunrpyc/find-gzip.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/unrpyc/find-gzip.sh b/unrpyc/find-gzip.sh
new file mode 100755
index 0000000..26e60c0
--- /dev/null
+++ b/unrpyc/find-gzip.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+ZOPFLI="$(command -v zopfli)"
+GZIP="$(command -v gzip)"
+if [ -n $ZOPFLI ]; then
+ echo "$ZOPFLI"
+elif [ -n $GZIP ]; then
+ echo "$GZIP -9"
+else
+ exit 1
+fi